文档

模板

列出模板

GET/templates

密钥所属工作区可用于生成的已保存模板,按最近更新排序。当 truncated 为 true 时,用 search 缩小范围而不是翻页。

参数

名称类型说明
searchstring仅标题包含此文本的模板。
limitinteger每页数量,1 到 200。

请求

curl "https://usepaperclerk.com/api/v1/templates?search=invoice" \
  -H "Authorization: Bearer pc_YOUR_TOKEN"

响应

JSON
{
  "workspace": "Acme Studio",
  "templates": [
    {
      "id": "4d1f0c2e-7b3a-4c1e-9d2f-1a2b3c4d5e6f",
      "title": "Consulting invoice",
      "folder_path": "Finance / Invoices",
      "updated_at": "2026-09-10T09:14:03.201Z"
    }
  ],
  "total": 1,
  "truncated": false
}
  • workspace — 已连接工作区的名称;一个密钥只打开一个工作区。
  • folder_path — 模板的归档位置,形如 上级 / 下级;位于根目录时为空。
  • total — 无论 limit 为何,匹配的模板总数。
  • truncated — 当 total 超过一页时为 true。